#ifndef GENERATOR_H
#define GENERATOR_H

#include <stdint.h>
#include "utils.h"

#define CELL_EMPTY 0
#define CELL_CENTER 1
#define CELL_SYMMETRY 128

typedef struct GameBoard {
    uint8_t width;
    uint8_t height;
    uint8_t *cells;
    Point *centers;
    int center_count;
} GameBoard;

GameBoard *create_board(uint8_t width, uint8_t height);
void destroy_board(GameBoard *board);
int generate_puzzle(GameBoard *board);

#endif // GENERATOR_H