#ifndef UTILS_H
#define UTILS_H

#include <stdint.h>

// Ado you are GameBoard
struct GameBoard;

typedef struct {
    int8_t x;
    int8_t y;
} Point;

void init_random(unsigned int seed);
int random_int(int min, int max);

void set_cell(struct GameBoard *board, uint8_t x, uint8_t y, uint8_t value);
uint8_t get_cell(const struct GameBoard *board, uint8_t x, uint8_t y);
int is_valid_coord(const struct GameBoard *board, int8_t x, int8_t y);

Point get_symmetric_point(const struct GameBoard *board, Point center, Point p);
int is_symmetric(const struct GameBoard *board, Point center, Point p1, Point p2);

#endif // UTILS_H